path: /build/build/async_timeout-dev-python-4.0.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/async_timeout -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/async_timeout
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/async_timeout && luet-portage --dir
    /pkgdir/async_timeout dev-python/async_timeout && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8639fd17f1e80f6666063c702087f4c01ef9a88620a18ffd149eec1a22f35572
  package:
    name: async_timeout
    version: 4.0.3
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Timeout context manager for asyncio programs
    uri:
    - https://github.com/aio-libs/async-timeout
    license: Apache-2.0
    buildtimestamp: 2023-10-21 11:10:35.084368907 +0000 UTC m=+95.673606617
    labels:
      DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-python/setuptools_scm[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        test? ( dev-python/pytest-aiohttp[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/async_timeout
      kit: python-modules-kit
      original.package.name: dev-python/async_timeout
      original.package.slot: "0"
      original.package.version: 4.0.3
    treedir: /build/packages
  package_dir: /pkgdir/async_timeout
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: eb36fdbc1e062c149339ae9207753de38686ec8a780430ad7b2c501e0bf1e277
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/async_timeout/__init__.py
- usr/lib/python3.9/site-packages/async_timeout/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/async_timeout/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/async_timeout/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/async_timeout/py.typed
- usr/lib/python3.9/site-packages/async_timeout-4.0.3-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/async_timeout-4.0.3-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/async_timeout-4.0.3-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/async_timeout-4.0.3-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/async_timeout-4.0.3-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/async_timeout-4.0.3-py3.9.egg-info/zip-safe
- usr/share/doc/async_timeout-4.0.3/README.rst.bz2
- var/db/pkg/dev-python/async_timeout-4.0.3/BUILD_TIME
- var/db/pkg/dev-python/async_timeout-4.0.3/CATEGORY
- var/db/pkg/dev-python/async_timeout-4.0.3/CBUILD
- var/db/pkg/dev-python/async_timeout-4.0.3/CFLAGS
- var/db/pkg/dev-python/async_timeout-4.0.3/CHOST
- var/db/pkg/dev-python/async_timeout-4.0.3/CONTENTS
- var/db/pkg/dev-python/async_timeout-4.0.3/COUNTER
- var/db/pkg/dev-python/async_timeout-4.0.3/CXXFLAGS
- var/db/pkg/dev-python/async_timeout-4.0.3/DEFINED_PHASES
- var/db/pkg/dev-python/async_timeout-4.0.3/DEPEND
- var/db/pkg/dev-python/async_timeout-4.0.3/DESCRIPTION
- var/db/pkg/dev-python/async_timeout-4.0.3/EAPI
- var/db/pkg/dev-python/async_timeout-4.0.3/FEATURES
- var/db/pkg/dev-python/async_timeout-4.0.3/HOMEPAGE
- var/db/pkg/dev-python/async_timeout-4.0.3/INHERITED
- var/db/pkg/dev-python/async_timeout-4.0.3/IUSE
- var/db/pkg/dev-python/async_timeout-4.0.3/IUSE_EFFECTIVE
- var/db/pkg/dev-python/async_timeout-4.0.3/KEYWORDS
- var/db/pkg/dev-python/async_timeout-4.0.3/LDFLAGS
- var/db/pkg/dev-python/async_timeout-4.0.3/LICENSE
- var/db/pkg/dev-python/async_timeout-4.0.3/PF
- var/db/pkg/dev-python/async_timeout-4.0.3/RDEPEND
- var/db/pkg/dev-python/async_timeout-4.0.3/SIZE
- var/db/pkg/dev-python/async_timeout-4.0.3/SLOT
- var/db/pkg/dev-python/async_timeout-4.0.3/USE
- var/db/pkg/dev-python/async_timeout-4.0.3/async_timeout-4.0.3.ebuild
- var/db/pkg/dev-python/async_timeout-4.0.3/environment.bz2
- var/db/pkg/dev-python/async_timeout-4.0.3/repository
package_cacheimage: ""
runtime:
  name: async_timeout
  version: 4.0.3
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Timeout context manager for asyncio programs
  uri:
  - https://github.com/aio-libs/async-timeout
  license: Apache-2.0
  labels:
    DEPEND: dev-python/setuptools[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-python/setuptools_scm[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      test? ( dev-python/pytest-aiohttp[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      ) python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: test python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/async_timeout
    kit: python-modules-kit
    original.package.name: dev-python/async_timeout
    original.package.slot: "0"
    original.package.version: 4.0.3
